Skip to content
View as Markdown

GET List Lists​

GET
/lists

Retrieve a paginated list of contact lists. Optionally includes subscriber counts and a separate array of all lists for dropdown/select usage.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Query Parameters

search

Search lists by title, slug, or description.

Type
string
sort_by

Column to sort by.

Type
string
Valid values
"id""title""slug""created_at"
Default
"id"
sort_order

Sort direction.

Type
string
Valid values
"ASC""DESC"
Default
"DESC"
per_page

Number of lists per page.

Type
integer
Default
15
page

Page number for pagination.

Type
integer
Default
1
exclude_counts

If set to any truthy value, totalCount and subscribersCount will not be included for each list.

Type
boolean
all_lists

If set to any truthy value, includes a flat all_lists array with id, title, and slug of every list (useful for dropdowns).

Type
boolean

Responses​

Paginated list of contact lists.

application/json
JSON
{
"lists": {
"total": 0,
"per_page": 0,
"current_page": 0,
"last_page": 0,
"next_page_url": "string",
"prev_page_url": "string",
"from": 0,
"to": 0,
"data": [
{
"id": 0,
"title": "string",
"slug": "string",
"description": "string",
"is_public": 0,
"created_at": "string",
"updated_at": "string",
"totalCount": 0,
"subscribersCount": 0
}
]
},
"pagination": {
"total": 0
},
"all_lists": [
{
"id": "string",
"title": "string",
"slug": "string"
}
]
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI